.filter-sec {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 15px;
  margin-top: 20px;
}

.news-section__filter-button {
  background-color: transparent;
  border: 0px;
  padding: 8px 15px;
  border-radius: 5px;
  font-size: 16px;
  color: #86868B;
  cursor: pointer;
  display: flex;
  position: relative;
  transition: all 0.3s ease;
  align-items: center;
}

.filter-badge {
  position: absolute;
  top: -5px;
  right: -12px;
  width: 14px;
  height: 14px;
  background-color: #23559b;
  border: 2px solid #23559b;
  border-radius: 50%;
  display: none;
  z-index: 10;
}

.news-section__filter-button svg {
  width: 32px;
  height: 32px;
  margin-left: 8px;
}

.filter-modal {
  display: none;
  /* Hidden by default */
  position: fixed;
  z-index: 999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background: rgba(0, 0, 0, 0.5);
}

.filter-modal-content {
  background: #fff;
  margin: 10% auto;
  border-radius: 10px;
  width: 60%;
  max-width: 60%;
  overflow: hidden;
}

.filter-box {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 15px;
  background: #EFEFEF;
}

.filter-title {
  font-weight: 400;
  margin-top: 0px;
  color: #000000;
}

.filter-close {
  cursor: pointer;
  background: #23559b;
  border-radius: 50%;
  height: 40px;
  width: 40px;
  font-size: 20px;
  color: #fff;
  font-weight: 700;
  display: flex;
  justify-content: center;
  align-items: center;
}

.content-modal {
  padding-left: 15px;
  padding-right: 15px;
}

.filter-modal .filter {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 15px;
}

.content-modal h3 {
  font-size: 18px;
  margin-top: 20px;
  margin-bottom: 20px;
  color: #23559B;
}

.filter label {
  font-weight: normal;
  font-size: 15px;
}

.filter-success-content svg {
  width: 50px;
  display: block;
  margin: 0 auto;
}

#filterModal select,
#filterModal input {
  width: 100%;
  height: 50px;
  padding: 8px;
  color: #000000;
  border: 1px solid #CFCFCF;
  border-radius: 6px;
  font-size: 16px;
  cursor: pointer;
}

.select-chevron {
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  pointer-events: none;
  color: #000000;
  width: 25px;
  height: 25px;
}

/* #filterModal label {
    display: block;
    margin-top: 15px;
    margin-bottom: 10px;
    font-size: 18px;
    font-weight: 600;
} */
.date-inputs {
  display: flex;
  align-items: center;
  gap: 10px;
}

.date-input-wrapper {
  position: relative;
  flex: 1;
}

.calendar-icon {
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  color: #000000;
  width: 25px;
  height: 25px;
  pointer-events: none;
}

.date-input-wrapper {
  position: relative;
  flex: 1;
}

.validation-text {
  color: #ff0000;
}

.filter-actions {
  display: flex;
  justify-content: center;
  margin-top: 30px;
  gap: 30px;
  margin-bottom: 30px;
}

.filter-actions .primary-btn {
  font-weight: normal;

}

#clearFilters {
  border: 1px solid #23559b;
  padding: 8px 80px;
  border-radius: 30px;
  cursor: pointer;
  background: 0 0;
  font-weight: normal;
}

#filter-btn {
  cursor: pointer;
  border: 1px solid #23559b;
  background: #D0BB68;
  padding: 8px 80px;
  border-radius: 30px;
}

.filter-success-popup {
  display: none;
  position: fixed;
  z-index: 2000;
  inset: 0;
  background: rgba(0, 0, 0, 0.6);
  justify-content: center;
  align-items: center;
}

.filter-success-content {
  background: white;
  padding: 30px;
  border-radius: 15px;
  width: 400px;
  text-align: center;
  animation: popupSlideIn 0.3s ease-out;
  margin: 0 auto;
}

.filter-success-icon {
  width: 60px;
  height: 60px;
  margin-bottom: 30px;
}

.filter-success-content h3 {
  color: #2e7d32;
  margin: 0 0 15px 0;
  font-size: 20px;
}

.news-section__filter-button.filtered {
  background: #ffffff;
  border: 2px solid #ffffff;
  box-shadow: 0 4px 12px rgba(40, 167, 69, 0.15);
}

.filtered .filter-badge {
  display: block !important;
}

@media (max-width:991px) {
  .filter-modal-content {
    width: 90%;
    max-width: 90%;
  }
}

@media (max-width:767px) {
  .filter-modal .filter {
    grid-template-columns: 1fr;
  }

  .filter-actions {
    flex-direction: column;
    gap: 10px;
  }
}